@extends('modal_pages.base')

@section('main')
<form class="ajax-form" action="{{ url()->current() }}" method="POST" enctype="multipart/form-data">
    {{ csrf_field() }}
    <div class="container mt-3">
        <div class="col-md-12">
            <div class="alert p-3" style="background-color:white;">
                <input type="hidden" name="teacher_id" value="{{$teacher->id}}">
                <input type="hidden" name="student_id" value="{{$student->id}}">
                <span style="margin: 0px;">{{$teacher->first_name}} {{$teacher->last_name}}</span></br>
                <span class="text-muted" style="font-weight: 500;">{{$teacher->designation}}</span></br>
                <span class="text-muted" style="font-weight: 500;">{{$teacher->department}}</span>
                <span>.</span>
                <span class="text-muted" style="font-weight: 500;">{{$teacher->university_name}}</span>
            </div>
        </div>

        <div class="middle p-3" style="background-color:white; border-radius:6px;">
            <p class="mb-3" style="font-size:14px;">Please select which proposal you want to send</p>
            <div class="alert mt-1 mb-3 propose" style="padding: 0px;">
                <div style="width:100%;">
                    @foreach($proposal as $row)
                    <div class="mt-2 p-2" style="border-bottom:2px solid #eee;">
                        <div class="custom-control custom-radio custom-control-inline">
                            <div class="form-check mb-0">
                                <input class="form-check-input" type="radio" name="proposal_id" value="{{$row->id}}" id="flexRadioDefault1">
                                <label class="form-check-label" for="flexRadioDefault1">{{$row->title}}</label>
                            </div>
                        </div>
                    </div>
                    @endforeach
                   
                </div>
            </div> 
        </div>
    </div>
    <div class="container mt-4">
        <div class="col-md-12 p-3" style="background-color:white; border-radius:6px;">
            <p style="margin:0px; font-size:14px;">Select propose start date</p>
            <div class="row">
                <div class="col-md-6">
                    <div class="mb-1">
                            <label class="form-label"></label>
                        <div class="form-icon position-relative">
                            <select name="startdate" id="start date" class="form-control frm" required="">
                                <option disabled="" selected="" value="">Year</option>
                                @php
                                    $firstYear = (int)date('Y') - 20;
                                    $lastYear = $firstYear + 20;
                                    for($i=$firstYear;$i<=$lastYear;$i++){
                                @endphp
                                <option value="{{$i}}">{{$i}}</option>
                                @php
                                    }
                                @endphp

                            </select>
                        </div>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="mb-1">
                            <label class="form-label"></label>
                        <div class="form-icon position-relative">
                            <select name="startmonth" id="month" class="form-control frm" required="">
                                <option disabled="" selected="" value="">Month</option>
                                <option value="01">January</option>
                                <option value="02">February</option>
                                <option value="03">March</option>
                                <option value="04">April</option>
                                <option value="05">May</option>
                                <option value="06">June</option>
                                <option value="07">July</option>
                                <option value="08">August</option>
                                <option value="09">September</option>
                                <option value="10">October</option>
                                <option value="11">November</option>
                                <option value="12">December</option>
                            </select>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-12 text-end">
            <button type="submit" class="btn btn1 mt-3 mb-3" style="padding: 3px 18px;">Submit</button>
        </div> 
    </div>
</form>

<script>
    $(function(){
        // $('.select2').select2();
        $('#modal_page_footer').hide(); 
    });
    </script>
@endsection